Categories:
  - Internet
License: GPL-2.0-only
SourceCode: https://github.com/BombusMod/BombusMod
IssueTracker: https://github.com/BombusMod/BombusMod/issues

AutoName: BombusMod
Description: |-
    Full-featured XMPP client based on a J2ME app. Website and source code docs are
    in Russian.

RepoType: git
Repo: https://github.com/BombusMod/BombusMod

Builds:
  - versionName: 0.8.1304
    versionCode: 1304
    commit: '1304'
    subdir: android
    forceversion: true
    forcevercode: true
    extlibs:
      - antenna/antenna-bin-1.2.1-beta.jar
    prebuild:
      - mv libs/antenna*.jar .
      - ant antenna-preprocess
      - sed -i 's/${bombus.raw-revision}/-/g' AndroidManifest.xml

  - versionName: 0.9.1415
    versionCode: 1416
    commit: 0.9.1416
    submodules: true
    gradle:
      - yes
    scanignore:
      - src/main/assets/smiles/animate.bin

  - versionName: 0.9.1419
    versionCode: 1419
    commit: 8710087ad7122639462f05a08f95d6d56133969c
    subdir: android
    gradle:
      - yes
    scanignore:
      - android/src/main/assets/smiles/animate.bin

  - versionName: 0.9.1420
    versionCode: 1420
    commit: a676cdd6206c29e5dd480a10f6c161dbc9fd3656
    subdir: android
    gradle:
      - yes
    scanignore:
      - android/src/main/assets/smiles/animate.bin

  - versionName: 0.9.1422
    versionCode: 1422
    commit: a560e83863b43c82d4bf39f0d73d5051ee5c5663
    subdir: android
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    scanignore:
      - android/src/main/assets/smiles/animate.bin

AutoUpdateMode: Version
UpdateCheckMode: Tags
CurrentVersion: 0.9.1422
CurrentVersionCode: 1422
